# http://github.com/docker/libtrust

%global goipath         github.com/docker/libtrust
%global commit          fa567046d9b14f6aa788882a950d69651d230b21


%gometa -i

Name:           %{goname}
Version:        0
Release:        0.16%{?dist}
Summary:        Library for managing authentication and authorization
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.yaml

%description
%{summary}.

Authentication is handled using the identity attached
to the public key. Libtrust provides multiple methods
to prove possession of the private key associated with
an identity.

    - TLS x509 certificates
    - Signature verification
    - Key Challenge

Authorization and access control is managed through a
distributed trust graph. Trust servers are used as the
authorities of the trust graph and allow caching portions
of the graph for faster access.

%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.

%prep
%gosetup -q
cp %{SOURCE1} %{SOURCE2} .
%install
%goinstall glide.lock glide.yaml

%check
%gochecks

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files devel -f devel.file-list
%license LICENSE
%doc README.md CONTRIBUTING.md MAINTAINERS

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - Forge-specific packaging variables
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 09 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.15.gitfa56704
- Upload glide files

* Wed Feb 28 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.14.20150114gitfa56704
- Autogenerate some parts using the new macros

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.13.gitfa56704
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.12.gitfa56704
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.11.gitfa56704
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.10.gitfa56704
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.9.gitfa56704
- https://fedoraproject.org/wiki/Changes/golang1.7

* Sat Mar 05 2016 jchaloup <jchaloup@redhat.com> - 0-0.8.gitfa56704
- Bump to upstream fa567046d9b14f6aa788882a950d69651d230b21
  related: #1248803

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.7.git6b78349
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.6.git6b78349
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Sep 12 2015 jchaloup <jchaloup@redhat.com> - 0-0.5.git6b78349
- Update to spec-2.1
  related: #1248803

* Thu Jul 30 2015 jchaloup <jchaloup@redhat.com> - 0-0.4.git6b78349
- Update spec file to spec-2.0
  resolves: #1248803

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.git6b78349
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Dec 17 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.2.git6b78349
- update to latest upstream master

* Fri Oct 17 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.1.gitd273ef2
- Resolves: rhbz#1154165 - initial package

